<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0)

{

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{

	$PAGINGS = mysql_query("SELECT * FROM `sun` WHERE `time`<=$realtime ORDER BY `id` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{	
		$kat=rand(1, 100);
		echo '<div class="conts">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name']))))))).'';
		if($kat>=50){
		echo ' - катаклизмЪ<br/>';
		mysql_query("UPDATE `sun` SET  `time`='".(time()+86300)."' WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id'])))))))."';");


	$PAGINGS1 = mysql_query("SELECT * FROM `planet` WHERE `sun`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id'])))))))."' ORDER BY `id` ASC");
	if($PAGINGS1 > 0)
	{
	
		while($row1 = mysql_fetch_array($PAGINGS1))
		{
		$dest=100-$row1['ozon'];
		$dozon=rand(5,10);
		if($row1['ozon']<$dozon)$dozon=$row1['ozon'];
		echo 'Планета: '.$row1['name'].'<br/>';
		mysql_query("INSERT INTO `doklad` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row1['uid'])))))))."', `time`='" . time() . "', `type`=4, `text`='Выбросом солнечной материи на звезде <b>".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name'])))))))."</b> было уничтожено ".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($dest)))))))."% запасов природных ресурсов на планете <b>".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row1['name'])))))))."</b>. Озоновый слой планеты сокращен на ".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($dozon)))))))."%';");
		mysql_query("UPDATE `planet` SET `ozon`=ozon-'".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($dozon)))))))."' WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row1['id'])))))))."';");
		mysql_query("UPDATE `planet_loc` SET `res`=res-((res/100)*$dest) WHERE `planet_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row1['id'].)))))))"';");
	
	
	
	
	}
	}
		



	
		}
		echo '</div>';

	}
	}
}
			
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer.php';
?>